TYPE TShape
  ImgData AS STRING * 512
  xSize  AS INTEGER
  ySize  AS INTEGER
END TYPE

'------------------------------------------------

TYPE TSprite
  xPos    AS INTEGER
  yPos    AS INTEGER
  xDir    AS INTEGER
  yDir    AS INTEGER
  Shape   AS INTEGER
END TYPE

'------------------------------------------------
' Animator .CEL header structure (v1.0)

TYPE TCelHdr
  cType  AS INTEGER     ' Always set to 9119H
  xSize  AS INTEGER
  ySize  AS INTEGER
  X      AS INTEGER
  Y      AS INTEGER
  Bits   AS BYTE        ' Bits per pixel
  Comp   AS BYTE        ' Compression flag = 0 if uncompressed
  cSize  AS LONG        ' Size of data (after color map)
  Resrvd AS STRING * 16 ' All zero
END TYPE

'------------------------------------------------

TYPE TCel
  X      AS INTEGER
  Y      AS INTEGER
  W      AS INTEGER
  H      AS INTEGER
  OldX   AS INTEGER
  OldY   AS INTEGER
  xDir   AS INTEGER
  yDir   AS INTEGER
  Frame  AS INTEGER
  Frames AS INTEGER
  Active AS INTEGER
  Img    AS STRING * 1024
END TYPE

'------------------------------------------------

$IF 0
TYPE TAnimatedObject
  X           AS INTEGER
  Y           AS INTEGER
  xSize       AS INTEGER
  ySize       AS INTEGER
  xDir        AS INTEGER
  yDir        AS INTEGER
  xOtherPage  AS INTEGER
  YOtherPage  AS INTEGER
  Image       AS STRING * %MaxSprSize
  bg          AS STRING * %MaxSprSize
  bgOtherPage AS STRING * %MaxSprSize
END TYPE
$ENDIF


