$IF 0
/*-----------------------------------------------------------------------
;
; XPAL - header file
;
;
;
; ****** XLIB - Mode X graphics library                ****************
; ******                                               ****************
; ****** Written By Themie Gouthas                     ****************
;        PowerBASIC version by Max Bernard (Wed  08-10-94)
; egg@dstos3.dsto.gov.au
; teg@bart.dsto.gov.au
;
;  Terminology & notes:
;         VRAM ==   Video RAM
;         SRAM ==   System RAM
;         X coordinates are in pixels unless explicitly stated
;
;----------------------------------------------------------------------*/
$ENDIF

%PalRotateDown = 0
%PalRotateUp   = 1

DECLARE SUB xSetRgb ALIAS "X_SET_RGB" (byval colr, byval r?, byval g?, byval b?)
DECLARE SUB xGetPalStruc ALIAS "x_get_pal_struc" (any, byval n, byval f)
DECLARE SUB xRotPalStruc ALIAS "x_rot_pal_struc" (any, byval Direction)
DECLARE SUB xPutPalStruc ALIAS "x_put_pal_struc" (any)
'DECLARE SUB xPutPalRaw   ALIAS "x_put_pal_raw"   (any, byval f, byval n)
DECLARE FUNCTION xCpContrastPalStruc ALIAS "x_cpcontrast_pal_struc" (any, any, ByVal byte)

'= FUNCTIONS ===========================================================

$IF 0
 DECLARE SUB X_GET_PAL_RAW(       /* Read DAC palette into raw buffer       */
              BYTE far * pal,
              WORD num_colrs,
              WORD start_index);

 DECLARE SUB X_GET_PAL_STRUC(     /* Read DAC palette into annotated buffer */
              BYTE far * pal,
              WORD num_colrs,
              WORD start_index);

 DECLARE SUB X_PUT_PAL_RAW(       /* Write DAC palette from raw buffer      */
              BYTE far * pal,
              WORD num_colrs,
              WORD start_index);

 DECLARE SUB X_PUT_PAL_STRUC(     /* Write DAC palette from annotated buffer*/
              BYTE far * pal);
$ENDIF

$IF 0
 DECLARE SUB X_ROT_PAL_RAW(           /* Rotate a raw palette buffer             */
              BYTE far * pal,
              WORD direction,
              WORD num_colrs);

 DECLARE SUB X_ROT_PAL_STRUC(    /* Rotate an anottated palette buffer      */
              BYTE far * pal,
              WORD direction);

 WORD far pascal X_CPCONTRAST_PAL_STRUC(     /* Copy and contrast adjust annotated  */
              BYTE far *src_pal,  /*  palette buffer                     */
              BYTE far *dest_pal,
              BYTE Intensity);

 DECLARE SUB X_TRANSPOSE_PAL_STRUC(  /* Write DAC palette from annotated type*/
              BYTE far * pal, /* buffer with a new offset             */
              WORD StartColor);

 DECLARE SUB X_PUT_CONTRAST_PAL_STRUC( /* Write DAC palette from annotated */
              BYTE far * pal,   /* type buffer with specified intensity  */
              BYTE  intensity);

$ENDIF
